### Method

# Xdp InputCaptureSession set_restore_token

#### Declaration [src]

    void
    xdp_input_capture_session_set_restore_token (
      XdpInputCaptureSession* session,
      const char* restore_token
    )

#### Description [src]

Sets the restore token for the session about to be started. This instructs the portal to restore the previous session identified by this token.

This method can only be called for a session created with `xdp_portal_create_input_capture_session2()` and only before `xdp_input_capture_session_start()` has been called. It has no effect otherwise.

The restore token for the current session can be obtained with `xdp_input_capture_session_get_restore_token()`.

#### Parameters

`restore_token`

  Type: `const char*`

  A restore token from a previous session.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.